from random import *
def gaucher():
    d=uniform(0,1)
    if d<0.17:
        return(1)
    else :
        return(0)

def répète(n):
    g=0
    for k in range(n):
        g=g+gaucher()
    return g/n

def Nrépète(N,n):
    c=0
    for i in range(N):
        f=répète(n)
        if abs(f-0.17)<1/sqrt(n):
            c=c+1
    return(c/N)

